﻿using ComPDFKitViewer.PdfViewer;
using PDF_Office.Model.EditTools.Background;
using PDF_Office.Model.EditTools.Watermark;
using PDFSettings;
using Prism.Events;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.EventAggregators
{

    public enum EnumCloseMode
    {
        StatusConfirm,
        StatusCancel,
    }

    public enum EnumTemplateListOrCreate
    {
        StatusNone = -1,
        StatusTemplate,
        StatusCreate
    }

    public enum EnumColorOrFile
    {
        StatusNone = -1,
        StatusColor,
        StatusFile
    }

    public enum EnumTextOrFile
    {
        StatusNone = -1,
        StatusText,
        StatusFile
    }
    public enum EnumDelete
    {
        StatusCreate,
        StatusDeleteAll,
        StatusDeleteInitial
    }

    public class StringWithUnicode
    {
        public string Unicode;
        public string EditToolsContentName;
    }

    public class EnterSelectedEditToolEvent : PubSubEvent<StringWithUnicode>
    {
    }

    public class CloseEditToolEvent : PubSubEvent<EnumCloseMode>
    {
    }

    public class EnterTemplateListOrCreateEvent : PubSubEvent<EnumTemplateListOrCreate>
    {
    }


    public class ConfirmEditToolsBackgroundEvent : PubSubEvent
    {
    }

    public class ConfirmEditToolsWatermarkEvent : PubSubEvent
    {
    }

    public class SetCurrentCreateModEvent : PubSubEvent<string>
    {
    }

    public class SetCurrentTemplateListModEvent : PubSubEvent<string>
    {
    }

    public class SetBackgroundEvent : PubSubEvent<BackgroundInfo>
    {
    }

    public class SetWatermarkEvent : PubSubEvent<WatermarkInfo>
    {
    }

    public class SaveBackgroundTemplateEvent : PubSubEvent<EnumColorOrFile>
    {
    }

    public class SaveWatermarkTemplateEvent : PubSubEvent<EnumTextOrFile>
    {
    }

    public class DeleteWatermarkEvent : PubSubEvent<EnumDelete>
    {
    }

    public class CurrentWatermarkPDFViewerEvent : PubSubEvent<CPDFViewer>
    {
    }
    public class EditBackgroundTemplateItemEvent : PubSubEvent<BackgroundItem>
    {
    }

    public class EditWatermarkTemplateItemEvent : PubSubEvent<WatermarkInfo>
    {
    }

    public class ConfirmEditBackgroundTemplateItemEvent : PubSubEvent<EnumColorOrFile>
    {
    }

    public class ConfirmEditWatermarkTemplateItemEvent : PubSubEvent<EnumTextOrFile>
    {
    }

    public class SaveEditedBackgroundTemplateItemEvent : PubSubEvent<BackgroundItem>
    {
    }

    public class SaveEditedWatermarkTemplateItemEvent : PubSubEvent<WatermarkItem>
    {

    }
}
